cc.funkemunky.api.bungee.objects

## Class BungeePlayer

- java.lang.Object
- - cc.funkemunky.api.bungee.objects.BungeePlayer

    public class BungeePlayer
    extends java.lang.Object

### Field Summary

Fields
`java.util.Map<java.lang.String,java.lang.String>` `forgeMods`
`java.lang.String` `name`
`java.util.List<java.lang.String>` `permissions`
`java.lang.String` `server`
`boolean` `usingForge`
`java.util.UUID` `uuid`
`java.util.Map<java.lang.String,java.lang.Object>` `values`

### Constructor Summary

Constructors
Constructor and Description
`BungeePlayer()`

### Method Summary

All Methods Static Methods Concrete Methods
`static BungeePlayer` `fromJson(java.lang.String json)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public java.lang.String name

#### server

    public java.lang.String server

#### uuid

    public java.util.UUID uuid

#### permissions

    public java.util.List<java.lang.String> permissions

#### values

    public java.util.Map<java.lang.String,java.lang.Object> values

#### forgeMods

    public java.util.Map<java.lang.String,java.lang.String> forgeMods

#### usingForge

    public boolean usingForge

### Constructor Detail

#### BungeePlayer

    public BungeePlayer()

### Method Detail

#### fromJson

    public static BungeePlayer fromJson(java.lang.String json)